CHGRP(1)

NOM
chgrp - Modifier le groupe propriétaire d'un fichier

SYNOPSIS
chgrp [options] groupe fichier...

Options POSIX : [-R] [--]

Options POSIX.1-2001 : [-hHLPR]

Description GNU de groupe : [--reference=rfile]

Options GNU (forme courte) : [-cfvR] [--help] [--version] [--]

DESCRIPTION
chgrp change l'appartenance de chacun des fichiers indiqués pour qu'ils deviennent propriétés du groupe indiqué.

Le groupe peut être mentionné par son nom ou par un GID numérique.

OPTIONS POSIX

-R  Modifier récursivement l'appartenance des répertoires et de leurs contenus. Continuer la descente même si des erreurs surviennent.

--  Terminer la liste des options.

OPTIONS DU DRAFT D'AUSTIN

-h  Si un fichier est un lien symbolique, changer le groupe du lien lui-même et pas celui de l'objet vers lequel il pointe. Si le système ne supporte pas les groupes pour les liens symboliques, ne rien faire.

-H (half-logical)
    (Quand elle est fournie conjointement avec -R.) Si un fichier est un lien symbolique vers un répertoire, changer le groupe du répertoire et des fichiers de la hiérarchie en dessous.

-L (logique)
    (Quand elle est fournie conjointement avec -R.) Si un fichier rencontré sur la ligne de commande ou durant la traversée de l'arborescence est un lien symbolique vers un répertoire, changer le groupe du répertoire et des fichiers de la hiérarchie en dessous.

-P (physique)
    (Quand elle est fournie conjointement avec -R.) Si un fichier rencontré sur la ligne de commande ou durant la traversée de l'arborescence est un lien symbolique, changer le groupe du lien lui-même et pas celui de l'objet vers lequel il pointe. Si le système ne supporte pas les groupes pour les liens symboliques, ne rien faire. C'est le comportement par défaut.

-R  Changer récursivement le groupe des répertoires et de leurs contenus.

DESCRIPTION GNU DE GROUPE
Une extension GNU (nouvelle dans les fileutils 4.0) permet d'utiliser --reference=rfile comme une description de groupe : on considérera le groupe auquel appartient le fichier rfile.

OPTIONS GNU

-c, --changes
    Décrire seulement les fichiers dont l'appartenance change effectivement.

-f, --silent, --quiet
    Ne pas afficher de message d'erreur concernant les fichiers dont le groupe ne peut pas être modifié.

-h, --no-dereference
    Agir sur un lien symbolique lui-même plutôt que sur l'objet vers lequel il pointe. Disponible uniquement si l'appel système lchown(2) est fourni.

-v, --verbose
    Décrire les modifications d'appartenance.

-R, --recursive
    Modifier récursivement l'appartenance des répertoires et de leurs contenus. Continuer la descente même si des erreurs surviennent.

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide sur la sortie standard, puis terminer correctement.

--version
    Afficher le numéro de version sur la sortie standard, puis terminer correctement.

ENVIRONNEMENT
LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles. Sur un système conforme XSI, NLSPATH a la signification normale.

CONFORMITÉ
POSIX.2 ne documente que l'option -R. Toutes les autres options peuvent ne pas être portables.

NOTES
Cette page décrit la version de chgrp trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 29 novembre 1996 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 chgrp ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.